/*
 * HFS/2 - A Hierarchical File System Driver for OS/2
 * Copyright (C) 1996, 1997 Marcus Better
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* hfslog.c
   Prints log messages from the IFS.
   */

#define INCL_DOSERRORS
#define INCL_NOPMAPI
#include <os2.h>

#include <stdio.h>
#include <string.h>

#include "../hfsctl.h"

#define FS_NAME "HFS"

#define BUFSIZE 4096
static char buf[BUFSIZE];

void main(void)
{
  ULONG dataio;
  char name[30];

  strcpy(name, FS_NAME);

  for (;;) {
    dataio = 0;
    memset(buf, 0, BUFSIZE);
    if (DosFSCtl(buf, BUFSIZE, &dataio,
                 NULL, 0, NULL,
                 HFS_FUNC_GETLOGDATA, name,
                 -1,  FSCTL_FSDNAME) != NO_ERROR) {
      printf("DosFSCtl failed!\n");
      return;
    }
    printf(buf);
    fflush(stdout);
  }
}
